Summary:	A tool for creating scanners (text pattern recognizers).
Name:		flex
Group:		Development/Tools
License:	BSD
Version:	2.5.4a
Release:	1
Source0:	ftp://ftp.gnu.org/non-gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:		flex-2.5.4a-skel.patch
Patch1:		flex-2.5.4-glibc22.patch
Patch2:		flex-2.5.4a-gcc3.patch
Patch3:		flex-2.5.4a-gcc31.patch
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The flex program generates scanners.  Scanners are programs which can
recognize lexical patterns in text.  Flex takes pairs of regular
expressions and C code as input and generates a C source file as
output.  The output file is compiled and linked with a library to
produce an executable.  The executable searches through its input for
occurrences of the regular expressions.  When a match is found, it
executes the corresponding C code.  Flex was designed to work with
both Yacc and Bison, and is used by many programs as part of their
build process.

%files
  %defattr(-,root,root)
  %doc COPYING NEWS README
  %doc %{_mandir}/man1/flex.1*
  %doc %{_mandir}/man1/flex++.1*
  %doc %{_mandir}/man1/lex.1*

  %attr(0511,root,root)	%{_bindir}/flex
  %attr(0511,root,root)	%{_bindir}/flex++
  %attr(0511,root,root)	%{_bindir}/lex

  %attr(0444,root,root)	%{_includedir}/FlexLexer.h
  %attr(0444,root,root)	%{_libdir}/libfl.a
  %attr(0444,root,root)	%{_libdir}/libl.a

%prep
%setup -q -n %{name}-2.5.4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
  autoconf
  %configure
  make %{_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall mandir=$RPM_BUILD_ROOT/%{_mandir}/man1

  ( cd ${RPM_BUILD_ROOT}
    strip .%{_bindir}/flex
    ln -sf flex .%{_bindir}/lex
    ln -s flex.1 .%{_mandir}/man1/lex.1
    ln -s flex.1 .%{_mandir}/man1/flex++.1
    ln -s libfl.a .%{_libdir}/libl.a
  )

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.5.4a, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
